VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
UMPMessageUtility Struct Reference

`#include <ump.h>`

Inheritance diagram for UMPMessageUtility:

## Public Types
enum class | Status { Noop = 0x0 , JrClock = 0x1 , JrTimestamp = 0x2 }

## Public Member Functions
__inline__ | __attribute__ ((__always_inline__)) const expr Status status() const
Public Member Functions inherited from UMPMessage
__inline__ | __attribute__ ((__always_inline__)) const expr MessageType type() const
__inline__ | __attribute__ ((__always_inline__)) const expr size_t messageWordCount() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t group() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte3_7bits() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte4_7bits() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte1() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte2() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte3() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte4() const

## Additional Inherited Members
Public Attributes inherited from UMPMessage
uint32_t | data
Protected Member Functions inherited from UMPMessage
template<typename T, size_t pos, size_t bits>
__inline__ | __attribute__ ((__always_inline__)) const expr T bitMask() const
template<typename T, size_t pos, size_t bits>
__inline__ | __attribute__ ((__always_inline__)) const expr T value(T data) const
Static Protected Attributes inherited from UMPMessage
static constexpr std::array | wordCounts

## Member Enumeration Documentation

## ◆ Status

enum class Status
| strong

Enumerator
Noop |
JrClock |
JrTimestamp |

## Member Function Documentation

## ◆ __attribute__()

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.